<?php
/** View Template: error page template
 *
 * It is the end of 404 (page not found) and application errors.
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007-2009 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
?>
<div style="margin-top:1em">

<?php switch ($this->errorType):
  case 404:
   if ($this->currentLang=="en"):
?>
Requested page doesn't exist - error 404
<?php else:?>
Požadovaná stránka neexistuje.
<?php endif;
   break;
  case 500:
  if ($this->currentLang=="en"):
?>
An application error occures, try again later, if error persists for a long time
you can contant author of the web application (see <?php echo $this->anchor(
 $this->url(array("action"=>"about"),"mainRoute"),
 $this->trans("About"))?> section).
<?php else:?>
Chyba v aplikaci, zkus to později, pokud chyba trvá i nadále, můžeš kontaktovat
autora (viz sekce Informace).
<?php endif;
   break;
  default:
   if ($this->currentLang=="en"):
?>
Something is wrong, try to contant author of the web application
(see <?php echo $this->anchor($this->url(array("action"=>"about"),"mainRoute"),$this->trans("About"))?> section).
<?php else:?>
Něco je shnilého, zkus o tom napsat autorovi (viz sekce <?php echo $this->anchor($this->url(array("action"=>"about"),"mainRoute"),$this->trans("About"))?>).
<?php endif;
endswitch;
?>

</div>
